%{?mingw_package_header}
# Only static library
%global debug_package %{nil}

%global pkgname vulkan-volk

%define baseversion %(echo %{version} | awk -F'.' '{print $1"."$2"."$3}')

Name:          mingw-%{pkgname}
Version:       1.3.290
Release:       1%{?dist}
Summary:       MinGW Windows %{pkgname} library

License:       MIT
BuildArch:     noarch
URL:           https://github.com/zeux/volk
Source0:       https://github.com/zeux/volk/archive/vulkan-sdk-%{version}.tar.gz#/volk-vulkan-sdk-%{version}.tar.gz


BuildRequires: cmake
BuildRequires: ninja-build

BuildRequires: mingw32-filesystem
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-vulkan-headers >= %{baseversion}

BuildRequires: mingw64-filesystem
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-vulkan-headers >= %{baseversion}


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%prep
%autosetup -p1 -n volk-vulkan-sdk-%{version}


%build
%mingw_cmake -G Ninja -DVOLK_INSTALL:BOOL=ON
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-%{pkgname}
%doc README.md
%license LICENSE.md
%{mingw32_includedir}/volk.c
%{mingw32_includedir}/volk.h
%{mingw32_libdir}/libvolk.a
%{mingw32_libdir}/cmake/volk/


%files -n mingw64-%{pkgname}
%doc README.md
%license LICENSE.md
%{mingw64_includedir}/volk.c
%{mingw64_includedir}/volk.h
%{mingw64_libdir}/libvolk.a
%{mingw64_libdir}/cmake/volk/


%changelog
* Sun Feb 25 2024 Sandro Mani <manisandro@gmail.com> - 1.3.275.0-1
- Initial package
